<?
### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
######################################################################################################################

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
} 

if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading">Внимание!</h5>
			<p style="font-size: 14px;">Вы не авторизованы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
			<p style="font-size: 14px;" class="m-b-0">Для авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
		  </div>';
} else {

	#поиск в заказах
	$proverka_zakaz = mysql_query( "SELECT id FROM payuser WHERE iduser = '" . $_SESSION['iduser'] . "' LIMIT 1" );
	#проверка аттестата
	$proverka_attestat = @file_get_contents( "http://passport.webmoney.ru/asp/CertView.asp?wmid=" . $config_user['wmid'] );
	#проверка одинаковых wmid
	$proverka_wmid = mysql_query( "SELECT id FROM user WHERE wmid != '' and wmid = '" . $config_user['wmid'] . "'" );
	?>

	<div class="content_bar content_bar_fix_chain">
	  <article class="postBox">
		<div class="content_header_title">
		  <h2><a>Вывод средств из системы</a></h2><br>
		  <div class="textPreview" style="margin-top: -20px;">
			  <p>У вас уже накопилась достаточная для снятия сумма? Поздравляем! Вы можете сами выбрать, на какой из своих кошельков вывести заработанное. Тщательно проверьте реквизиты кошельков. Все выплаты на <?=$config_site['sitename'] ?> производятся в автоматическом режиме и мгновенно.</p>
		  </div>
		</div>
		<?
		if ( !$config_user['activate'] ) {
			echo '<div class="alert alert-info alert-dismissible" role="alert">
			  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			  <i class="fa fa-info" aria-hidden="true"></i> Для продолжения, Вам необходимо активировать свой аккаунт.
			</div><br><br><br>';
		} else
		if ( $config_user['blockpay'] ) {
			echo '<div class="alert alert-danger alert-dismissible" role="alert">
			  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			  <i class="fa fa-ban" aria-hidden="true"></i> Вы не можете получить выплату! Ваш аккаунт заблокирован на выплату заработанных средств, пожалуйста свяжитесь с администрацией сайта.
			</div><br><br><br>';
		} else
		if ( mysql_num_rows( $proverka_zakaz ) > 0 ) {
			echo '<div class="alert alert-info alert-dismissible" role="alert">
			  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			  <i class="fa fa-info" aria-hidden="true"></i> Ваша выплата находится на проверке.
			</div><br><br><br>';
		} else
		if ( $config_user['lastpay'] > time() ) {
			$month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
			$pay_time = ( int ) date( 'd', $config_user['lastpay'] - 86400 ) . ' ' . $month[( int ) date( 'm', $config_user['lastpay'] - 86400 ) - 1] . ' ' . date( 'Y', $config_user['lastpay'] - 86400 ) . ' в ' . date( 'H:i', $config_user['lastpay'] - 86400 );
			echo '<div class="alert alert-warning alert-dismissible" role="alert">
			  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			  <i class="fa fa-ban" aria-hidden="true"></i> Выплата производится раз в сутки. Последний раз вы получали выплату ' . $pay_time . '.
			</div><br><br><br>';
		} else
		if ( mysql_num_rows( $proverka_wmid ) > 1 ) {
			echo '<div class="alert alert-warning alert-dismissible" role="alert">
			  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			  <i class="fa fa-ban" aria-hidden="true"></i> Замечено более одного WMID. Выплата недоступна! Пожалуйста, свяжитесь с администрацией.
			</div><br><br><br>
			';
		} else {
			
			if ( $config_user['reyting'] >= $config_site['status_meaning_1a'] and $config_user['reyting'] <= $config_site['status_meaning_1b'] and $config_user['money'] > 15 ) {
				$paymoney = 15;
			} else
			if ( $config_user['reyting'] >= $config_site['status_meaning_2a'] and $config_user['reyting'] <= $config_site['status_meaning_2b'] and $config_user['money'] > 50 ) {
				$paymoney = 50;
			} else
			if ( $config_user['reyting'] >= $config_site['status_meaning_3a'] and $config_user['reyting'] <= $config_site['status_meaning_3b'] and $config_user['money'] > 100 ) {
				$paymoney = 100;
			} else
			if ( $config_user['reyting'] >= $config_site['status_meaning_4a'] and $config_user['reyting'] <= $config_site['status_meaning_4b'] and $config_user['money'] > 200 ) {
				$paymoney = 200;
			} else
			if ( $config_user['reyting'] >= $config_site['status_meaning_5a'] and $config_user['reyting'] <= $config_site['status_meaning_5b'] and $config_user['money'] > 300 ) {
				$paymoney = 300;
			} else
			if ( $config_user['reyting'] >= $config_site['status_meaning_6a'] and $config_user['money'] > 500 ) {
				$paymoney = 500;
			} else {
				$paymoney = moneyraund( $config_user['money'], 2 );
			}
			
			if ( empty( $config_user['wmid'] ) ) {
				$payments_money = moneyraund( $paymoney * 0.992, 2 ) . ' ' . $config['valutaname'];
				$pay_webmoney_js = 'href="/profile" onclick="Page.Go(this.href);return false;"';
				$title_webmoney = 'Указать кошелек';
				$class_btn_webmoney = 'btn-secondary';
			} else {
				$payments_money = moneyraund( $paymoney * 0.992, 2 ) . ' ' . $config['valutaname'];
				$pay_webmoney_js = 'href="#" onclick="pay_webmoney();return false;"';
				$title_webmoney = 'Заказать выплату';
				$class_btn_webmoney = 'btn-primary';
			}
			
			if ( empty( $config_user['payeer'] ) ) {
				$payments_money_p = moneyraund( $paymoney, 2 ) . ' ' . $config['valutaname'];
				$pay_payeer_js = 'href="/profile" onclick="Page.Go(this.href);return false;"';
				$title_payeer = 'Указать кошелек';
				$class_btn_payeer = 'btn-secondary';
			} else {
				$payments_money_p = moneyraund( $paymoney, 2 ) . ' ' . $config['valutaname'];
				$pay_payeer_js = 'href="#" onclick="pay_payeer();return false;"';
				$title_payeer = 'Заказать выплату';
				$class_btn_payeer = 'btn-primary';
			}
			
			if ( empty( $config_user['advcash'] ) ) {
				$payments_money_advcash = moneyraund( $paymoney, 2 ) . ' ' . $config['valutaname'];
				$pay_advcash_js = 'href="/profile" onclick="Page.Go(this.href);return false;"';
				$title_advcash = 'Указать кошелек';
				$class_btn_advcash = 'btn-secondary';
			} else {
				$payments_money_advcash = moneyraund( $paymoney, 2 ) . ' ' . $config['valutaname'];
				$pay_advcash_js = 'href="#" onclick="pay_advcash();return false;"';
				$title_advcash = 'Заказать выплату';
				$class_btn_advcash = 'btn-primary';
			}
			
			if($config['Currency'] == 1) { 
				$currency_icon = '<i class="fa fa-rub" aria-hidden="true"></i>';
			} else
			if($config['Currency'] == 2) { 
				$currency_icon = '<i class="fa fa-usd" aria-hidden="true"></i>';
			} else
			if($config['Currency'] == 3) { 
				$currency_icon = '<i class="fa fa-eur" aria-hidden="true"></i>';
			} else
			if($config['Currency'] == 4) { 
				$currency_icon = '?';
			} 
			
			?>
			<script type="text/javascript">
			  function PlanChange(e) {
				var valutaname = '<?=$config['valutaname']?>';
				if ( e / e == true ) {
					e = parseFloat(e);
				} else {
					e = 0;
				}
				var sum = e * 0.992;
				$('.pmwebmoney').html(money(sum, 2)+' '+valutaname);
				var sums = e * 1;
				$('.pmyandex').html(money(sums, 2)+' '+valutaname);
				var sumsa = e * 1;
				$('.pmadvcash').html(money(sums, 2)+' '+valutaname);
			  }
			
			  function money(money, kol) {
				var k, m;
				if ( money.toString().indexOf('.') === -1 ) {
					return money;
				} else {
					k = money.toString().split('.');
					m = k[0] + '.' + k[1].toString().substr( 0, kol );
					return parseFloat( m );
				}
			   }
			
			  function pay_webmoney() {
				var getvalue = $('.pmwebmoney').html();
				$('.pmwebmoney').addClass('payuser_preload').html('&nbsp;');
				$.post('ajax.php?func=payuserwebmoney', {
					money: $('#payuser_summ').val()
				}, function (data) {
					if (data == 1) {
						$('.payuser_panel').html('<div class="alert alert-success2 alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>Спасибо за доверие! Сумма <b>'+money($('#payuser_summ').val() * 0.992, 2)+' <?=$config['valutaname']?></b> отправлена на кошелек <b><?=$config_user['purse']?></b><br />Уважаемый <?=$config_user['username']?>. Оставьте пожалуйста отзыв о нашем сайте. <i class="fa fa-smile-o" aria-hidden="true"></i><br /><br /><a href="http://advisor.wmtransfer.com/SiteDetails.aspx?url=<?=$_SERVER['HTTP_HOST']?>" class="btn_box" target="_blank">Оставить отзыв</a><br /><br /></div>');
						reloadpage.leftprofiles();
					} else
					if (data == 2) {
						$('.payuser_panel').html('<div class="alert alert-success2 alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>Ваш заказ принят! Вы получите свои деньги после проверки Вашего аккаунта.<br />Уважаемый <?=$config_user['username']?>. Оставьте пожалуйста отзыв о нашем сайте. <i class="fa fa-smile-o" aria-hidden="true"></i><br /><br /><a href="http://advisor.wmtransfer.com/SiteDetails.aspx?url=<?=$_SERVER['HTTP_HOST']?>" class="btn_box" target="_blank">Оставить отзыв</a><br /><br /></div>');
						reloadpage.leftprofiles();
					} else {
						$('.pmwebmoney').removeClass('payuser_preload').html(getvalue);
						$('.error').fadeIn(500).html(data);
						setTimeout(function() {
							$('.error').fadeOut(500).html('&nbsp;');
						}, 4000);
					}
				});
				return false;
			  }
			
			  function pay_payeer() {
				var getvalue = $('.pmyandex').html();
				$('.pmyandex').addClass('payuser_preload').html('&nbsp;');
				$.post('ajax.php?func=payuserpayeer', {
					money: $('#payuser_summ').val()
				}, function (data) {
					if (data == 1) {
						$('.payuser_panel').html('<div class="alert alert-success2 alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>Спасибо за доверие! Сумма <b>'+money($('#payuser_summ').val(), 2)+' <?=$config['valutaname']?></b> отправлена на кошелек <b><?=$config_user['payeer']?></b><br />Уважаемый <?=$config_user['username']?>. Оставьте пожалуйста отзыв о нашем сайте. <i class="fa fa-smile-o" aria-hidden="true"></i><br /><br /><a href="http://advisor.wmtransfer.com/SiteDetails.aspx?url=<?=$_SERVER['HTTP_HOST']?>" class="btn_box" target="_blank">Оставить отзыв</a><br /><br /></div>');
						reloadpage.leftprofiles();
					} else {
						$('.pmyandex').removeClass('payuser_preload').html(getvalue);
						$('.error').fadeIn(500).html(data);
						setTimeout(function() {
							$('.error').fadeOut(500).html('&nbsp;');
						}, 4000);
					}
				});
				return false;
			  }
			
			  function pay_advcash() {
				var getvalue = $('.pmadvcash').html();
				$('.pmadvcash').addClass('payuser_preload').html('&nbsp;');
				$.post('ajax.php?func=payuseradvcash', {
					money: $('#payuser_summ').val()
				}, function (data) {
					if (data == 1) {
						$('.payuser_panel').html('<div class="alert alert-success2 alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>Спасибо за доверие! Сумма <b>'+money($('#payuser_summ').val(), 2)+' <?=$config['valutaname']?></b> отправлена на кошелек <b><?=$config_user['advcash']?></b><br />Уважаемый <?=$config_user['username']?>. Оставьте пожалуйста отзыв о нашем сайте. <i class="fa fa-smile-o" aria-hidden="true"></i><br /><br /><a href="http://advisor.wmtransfer.com/SiteDetails.aspx?url=<?=$_SERVER['HTTP_HOST']?>" class="btn_box" target="_blank">Оставить отзыв</a><br /><br /></div>');
						reloadpage.leftprofiles();
					} else {
						$('.pmadvcash').removeClass('payuser_preload').html(getvalue);
						$('.error').fadeIn(500).html(data);
						setTimeout(function() {
							$('.error').fadeOut(500).html('&nbsp;');
						}, 4000);
					}
				});
				return false;
			  }
			</script>
			<div class="payuser_panel">
			<div class="input-group" style="width: 200px; display: table; margin: 0 auto;">
			  <span class="input-group-addon "><?=$currency_icon?></span>
			  <input type="text" class="form-control payuser_input" id="payuser_summ" maxlength="5" value="<?=$paymoney?>" onkeyup="PlanChange(this.value)">
			  <span class="input-group-addon" style="font-size: 15px; height: 24px;"> rrrrrrrrrrrrrrrrr&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Максимальная сумма выплаты, для вашего статуса: <?=$paymoney?> <a href="/status"><i class="fa fa-question-circle wall_status_help"></i></a></span>
			</div>
			<br>
			<br>
			<div class="card-deck-wrapper" style="width: 80%; display: table; margin: 0 auto;">
			  <div class="card-columns">
				<div class="card text-xs-center" >
				  <div class="card-header">
					Webmoney
				  </div>
				  <div class="card-block">
					<!--img src="/theme/images/wm_icon_pay.png" width="30" height="30" class="" /-->
					<div class="wm_icon_pay" ></div>
					<h4 class="card-title pmwebmoney"><?=$payments_money?></h4>
					<p class="card-text">Webmoney снимает коммисию 1%.</p>
					<a <?=$pay_webmoney_js?> class="btn <?=$class_btn_webmoney?>"><?=$title_webmoney?></a>
				  </div>
				  <div class="card-footer text-muted">
					мгновенно
				  </div>
				</div>
				<div class="card text-xs-center">
				  <div class="card-header">
					Payeer
				  </div>
				  <div class="card-block">
					<div class="pr_icon_pay" ></div>
					<h4 class="card-title pmyandex"><?=$payments_money_p?></h4>
					<p class="card-text">Payeer не снимает комиссию.</p>
					<a <?=$pay_payeer_js?> class="btn <?=$class_btn_payeer?>"><?=$title_payeer?></a>
				  </div>
				  <div class="card-footer text-muted">
					мгновенно
				  </div>
				</div>
				<div class="card text-xs-center" >
				  <div class="card-header">
					Advcash
				  </div>
				  <div class="card-block">
					<div class="ac_icon_pay" ></div>
					<h4 class="card-title pmadvcash"><?=$payments_money_advcash?></h4>
					<p class="card-text">Advcash не снимает комиссию.</p>
					<a <?=$pay_advcash_js?> class="btn <?=$class_btn_advcash?>"><?=$title_advcash?></a>
				  </div>
				  <div class="card-footer text-muted">
					мгновенно
				  </div>
				</div>
			  </div>
			</div>
			<br>
			<div class="error" style="display: none; margin: 0 auto;"></div>
			</div>
		  <?
		}
		?>
      </article>
    </div>
    <?
} 
?>  
		  